Skip to main content
GET
List subscriptions

Authorizations

Authorization
string
header
required

Bearer token authentication

Query Parameters

page
integer

Page number (1-based)

per_page
integer

Number of records per page (max 100)

status
string

Filter by subscription status

active
boolean

Filter by active status

subscription_plan_id
integer

Filter by subscription plan id

customer_id
integer

Filter by customer id

within_days
integer

Include subscriptions within the last N days

frequency
string

Filter by billing frequency

subscription_number_min
integer

Minimum subscription number

subscription_number_max
integer

Maximum subscription number

amount_min
number

Minimum subscription amount

amount_max
number

Maximum subscription amount

sort_by
enum<string>

Sort field

Available options:
created_at,
id,
next_bill_date,
customer,
last_bill_date,
amount,
status,
frequency,
product,
subscription_token
sort_direction
enum<string>

Sort direction (defaults to desc for unrecognized values)

Available options:
asc,
desc

Free-text search

created_start
string

Created on or after this date (ISO 8601 date or timestamp)

created_end
string

Created on or before this date (ISO 8601 date or timestamp)

next_bill_start
string

Next bill date on or after (ISO 8601 date or timestamp)

next_bill_end
string

Next bill date on or before (ISO 8601 date or timestamp)

last_bill_start
string

Last bill date on or after (ISO 8601 date or timestamp)

last_bill_end
string

Last bill date on or before (ISO 8601 date or timestamp)

next_ship_start
string

Next ship date on or after (ISO 8601 date or timestamp)

next_ship_end
string

Next ship date on or before (ISO 8601 date or timestamp)

last_ship_start
string

Last ship date on or after (ISO 8601 date or timestamp)

last_ship_end
string

Last ship date on or before (ISO 8601 date or timestamp)

last_failed_start
string

Last failed billing date on or after (ISO 8601 date or timestamp)

last_failed_end
string

Last failed billing date on or before (ISO 8601 date or timestamp)

cancelled_start
string

Cancelled date on or after (ISO 8601 date or timestamp)

cancelled_end
string

Cancelled date on or before (ISO 8601 date or timestamp)

Response

Success

Paginated list of subscriptions

subscriptions
object[]
required
meta
object